# class Array

### Public Instance Methods

extract_options!() click to toggle source

Extracts options from a set of arguments. Removes and returns the last element in the array if it's a hash, otherwise returns a blank hash.

    def options(*args)
      args.extract_options!
    end

    options(1, 2)        # => {}
    options(1, 2, a: :b) # => {:a=>:b}

    # File lib/dbus/core_ext/array/extract_options.rb, line 24
    def extract_options!
      if last.is_a?(Hash) && last.extractable_options?
        pop
      else
        {}
      end
    end